
local function init( modApi )
	-- modApi.requirements = { }
	modApi:addGenerationOption("sharp64",  "AUGMENT SLOTS" , "How many augment slots Sharp has. (Only shows up to 8)", {values = {4,6,8,64}, value = 6, strings = {"4","6","8","64"}, difficulties={{1,6},{2,6},{3,6},{4,6},{5,6},{6,6},{7,6},{8,6}}})
end


local function unload(modApi)
	local agents = include( "sim/unitdefs/agentdefs" )
	agents.cyborg_1.traits.augmentMaxSize = 6
	agents.cyborg_1_a.traits.augmentMaxSize = 6
end

local function load(modApi, options)
	if options.sharp64 then
		local agents = include( "sim/unitdefs/agentdefs" )
		agents.cyborg_1.traits.augmentMaxSize = options.sharp64.value
		agents.cyborg_1_a.traits.augmentMaxSize = options.sharp64.value
	else
		unload(modApi)
	end
end

return {
    init = init,
    -- lateInit = lateInit,
    load = load,
	unload = unload,
}